ServerEvents.recipes(event => {
//Raw Ores
  event.recipes.createoreexcavation.vein('{"text": "Copper Vein"}', 'minecraft:raw_copper')
  .placement(125, 94 , 64825185).alwaysFinite().veinSize(100, 250)
  .id("kubejs:copper_vein").biomeWhitelist('minecraft:is_overworld'),

  event.recipes.createoreexcavation.vein('{"text": "Nickel Vein"}', 'immersiveengineering:raw_nickel')
  .placement(125, 94, 64825186).alwaysFinite().veinSize(25, 50)
  .id("kubejs:nickel_vein").biomeWhitelist('forge:is_plains'),

  event.recipes.createoreexcavation.vein('{"text": "Iron Vein"}', 'minecraft:raw_iron')
  .placement(250, 150, 64825187).alwaysFinite().veinSize(50, 500)
  .id("kubejs:iron_vein").biomeBlacklist('forge:is_hot'),

  event.recipes.createoreexcavation.vein('{"text": "Zinc Vein"}', 'create:raw_zinc')
  .placement(125, 94, 64825188).alwaysFinite().veinSize(25, 75)
  .id("kubejs:zinc_vein").biomeWhitelist('forge:is_plains'),

  event.recipes.createoreexcavation.vein('{"text": "Lead Vein"}', 'immersiveengineering:raw_lead')
  .placement(250, 150, 64825189).alwaysFinite().veinSize(15, 60)
  .id("kubejs:lead_vein").biomeWhitelist('forge:is_cold/overworld'),

  event.recipes.createoreexcavation.vein('{"text": "Gold Vein"}', 'minecraft:raw_gold')
  .placement(250, 150, 64825190).alwaysFinite().veinSize(10, 30)
  .id("kubejs:gold_vein").biomeWhitelist('forge:is_hot/overworld').biomeBlacklist('forge:is_wet'),

  event.recipes.createoreexcavation.vein('{"text": "Lithium Vein"}', 'crusty_chunks:raw_lithium')
  .placement(470, 313, 64825191).alwaysFinite().veinSize(3, 6)
  .id("kubejs:lithium_vein").biomeWhitelist('forge:is_dry/overworld'),

  event.recipes.createoreexcavation.vein('{"text": "Beryllium Vein"}', 'crusty_chunks:raw_beryllium')
  .placement(470, 313, 64825192).alwaysFinite().veinSize(1, 5)
  .id("kubejs:beryllium_vein").biomeWhitelist('forge:is_wet/overworld').biomeBlacklist('forge:is_cave'),

  event.recipes.createoreexcavation.vein('{"text": "Bauxite Vein"}', 'crusty_chunks:bauxite')
  .placement(125, 94, 64825201).alwaysFinite().veinSize(25, 50)
  .id("kubejs:bauxite_vein").biomeWhitelist('minecraft:is_overworld'),

  event.recipes.createoreexcavation.vein('{"text": "Uranium Vein"}', 'crusty_chunks:raw_uranium')
  .placement(470, 313, 64825203).alwaysFinite().veinSize(10, 50)
  .id("kubejs:uranium_vein").biomeWhitelist('forge:is_dry/overworld').biomeBlacklist('forge:is_cave'),

//Other Materials
  event.recipes.createoreexcavation.vein('{"text": "Coal Vein"}', 'minecraft:coal')
  .placement(125, 94, 64825200).alwaysFinite().veinSize(150, 300)
  .id("kubejs:coal_vein").biomeWhitelist('minecraft:is_overworld'),

  event.recipes.createoreexcavation.vein('{"text": "Tar Deposit"}', 'crusty_chunks:shale_oil')
  .placement(250, 150, 64825193).alwaysFinite().veinSize(6, 18)
  .id("kubejs:tar_vein").biomeWhitelist('forge:is_desert'),

  event.recipes.createoreexcavation.vein('{"text": "Amethyst Vein"}', 'minecraft:amethyst_shard')
  .placement(125, 94, 64825194).alwaysFinite().veinSize(10, 25)
  .id("kubejs:amethyst_vein").biomeWhitelist('minecraft:is_overworld'),

  event.recipes.createoreexcavation.vein('{"text": "Redstone Vein"}', 'createoreexcavation:raw_redstone')
  .placement(125, 94, 64825195).alwaysFinite().veinSize(25, 50)
  .id("kubejs:redstone_vein").biomeWhitelist('minecraft:is_overworld'),

  event.recipes.createoreexcavation.vein('{"text": "Lapis Vein"}', 'minecraft:lapis_lazuli')
  .placement(125, 94, 64825196).alwaysFinite().veinSize(25, 50)
  .id("kubejs:lapis_vein").biomeWhitelist('minecraft:is_overworld'),

  event.recipes.createoreexcavation.vein('{"text": "Sulfur Vein"}', 'crusty_chunks:sulfur')
  .placement(125, 94, 64825202).alwaysFinite().veinSize(10, 25)
  .id("kubejs:sulfur_vein")

  event.recipes.createoreexcavation.vein('{"text": "Diamond Vein"}', 'createoreexcavation:raw_diamond')
  .placement(1024, 250, 64825197).alwaysFinite().veinSize(5, 20)
  .id("kubejs:diamond_vein").biomeWhitelist('minecraft:is_overworld'),

  event.recipes.createoreexcavation.vein('{"text": "Emerald Vein"}', 'createoreexcavation:raw_emerald')
  .placement(1024, 250, 64825198).alwaysFinite().veinSize(3, 10)
  .id("kubejs:emerald_vein").biomeWhitelist('forge:is_mountain'),

  //Fluids
  event.recipes.createoreexcavation.vein('{"text": "Oil Well"}', 'crusty_chunks:crude_oil_bucket')
  .placement(470, 313, 64825199).alwaysFinite().veinSize(10, 100)
  .id("kubejs:oil_vein").biomeWhitelist('minecraft:is_ocean')

})
